PageRenderTime 75ms CodeModel.GetById 19ms app.highlight 47ms RepoModel.GetById 2ms app.codeStats 0ms

/crypto/heimdal/appl/su/Makefile.in

https://bitbucket.org/freebsd/freebsd-head/
Autoconf | 957 lines | 847 code | 85 blank | 25 comment | 154 complexity | 389226ca37017e0337f6fdf839b84b7d MD5 | raw file
  1# Makefile.in generated by automake 1.11.1 from Makefile.am.
  2# @configure_input@
  3
  4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
  5# 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
  6# Inc.
  7# This Makefile.in is free software; the Free Software Foundation
  8# gives unlimited permission to copy and/or distribute it,
  9# with or without modifications, as long as this notice is preserved.
 10
 11# This program is distributed in the hope that it will be useful,
 12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
 13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 14# PARTICULAR PURPOSE.
 15
 16@SET_MAKE@
 17
 18# $Id$
 19
 20# $Id$
 21
 22# $Id$
 23
 24VPATH = @srcdir@
 25pkgdatadir = $(datadir)/@PACKAGE@
 26pkgincludedir = $(includedir)/@PACKAGE@
 27pkglibdir = $(libdir)/@PACKAGE@
 28pkglibexecdir = $(libexecdir)/@PACKAGE@
 29am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
 30install_sh_DATA = $(install_sh) -c -m 644
 31install_sh_PROGRAM = $(install_sh) -c
 32install_sh_SCRIPT = $(install_sh) -c
 33INSTALL_HEADER = $(INSTALL_DATA)
 34transform = $(program_transform_name)
 35NORMAL_INSTALL = :
 36PRE_INSTALL = :
 37POST_INSTALL = :
 38NORMAL_UNINSTALL = :
 39PRE_UNINSTALL = :
 40POST_UNINSTALL = :
 41build_triplet = @build@
 42host_triplet = @host@
 43DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
 44	$(top_srcdir)/Makefile.am.common \
 45	$(top_srcdir)/cf/Makefile.am.common ChangeLog
 46bin_PROGRAMS = su$(EXEEXT)
 47subdir = appl/su
 48ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
 49am__aclocal_m4_deps = $(top_srcdir)/cf/aix.m4 \
 50	$(top_srcdir)/cf/auth-modules.m4 \
 51	$(top_srcdir)/cf/broken-getaddrinfo.m4 \
 52	$(top_srcdir)/cf/broken-glob.m4 \
 53	$(top_srcdir)/cf/broken-realloc.m4 \
 54	$(top_srcdir)/cf/broken-snprintf.m4 $(top_srcdir)/cf/broken.m4 \
 55	$(top_srcdir)/cf/broken2.m4 $(top_srcdir)/cf/c-attribute.m4 \
 56	$(top_srcdir)/cf/capabilities.m4 \
 57	$(top_srcdir)/cf/check-compile-et.m4 \
 58	$(top_srcdir)/cf/check-getpwnam_r-posix.m4 \
 59	$(top_srcdir)/cf/check-man.m4 \
 60	$(top_srcdir)/cf/check-netinet-ip-and-tcp.m4 \
 61	$(top_srcdir)/cf/check-type-extra.m4 \
 62	$(top_srcdir)/cf/check-var.m4 $(top_srcdir)/cf/check-x.m4 \
 63	$(top_srcdir)/cf/check-xau.m4 $(top_srcdir)/cf/crypto.m4 \
 64	$(top_srcdir)/cf/db.m4 $(top_srcdir)/cf/destdirs.m4 \
 65	$(top_srcdir)/cf/dispatch.m4 $(top_srcdir)/cf/dlopen.m4 \
 66	$(top_srcdir)/cf/find-func-no-libs.m4 \
 67	$(top_srcdir)/cf/find-func-no-libs2.m4 \
 68	$(top_srcdir)/cf/find-func.m4 \
 69	$(top_srcdir)/cf/find-if-not-broken.m4 \
 70	$(top_srcdir)/cf/framework-security.m4 \
 71	$(top_srcdir)/cf/have-struct-field.m4 \
 72	$(top_srcdir)/cf/have-type.m4 $(top_srcdir)/cf/irix.m4 \
 73	$(top_srcdir)/cf/krb-bigendian.m4 \
 74	$(top_srcdir)/cf/krb-func-getlogin.m4 \
 75	$(top_srcdir)/cf/krb-ipv6.m4 $(top_srcdir)/cf/krb-prog-ln-s.m4 \
 76	$(top_srcdir)/cf/krb-readline.m4 \
 77	$(top_srcdir)/cf/krb-struct-spwd.m4 \
 78	$(top_srcdir)/cf/krb-struct-winsize.m4 \
 79	$(top_srcdir)/cf/largefile.m4 $(top_srcdir)/cf/libtool.m4 \
 80	$(top_srcdir)/cf/ltoptions.m4 $(top_srcdir)/cf/ltsugar.m4 \
 81	$(top_srcdir)/cf/ltversion.m4 $(top_srcdir)/cf/lt~obsolete.m4 \
 82	$(top_srcdir)/cf/mips-abi.m4 $(top_srcdir)/cf/misc.m4 \
 83	$(top_srcdir)/cf/need-proto.m4 $(top_srcdir)/cf/osfc2.m4 \
 84	$(top_srcdir)/cf/otp.m4 $(top_srcdir)/cf/pkg.m4 \
 85	$(top_srcdir)/cf/proto-compat.m4 $(top_srcdir)/cf/pthreads.m4 \
 86	$(top_srcdir)/cf/resolv.m4 $(top_srcdir)/cf/retsigtype.m4 \
 87	$(top_srcdir)/cf/roken-frag.m4 \
 88	$(top_srcdir)/cf/socket-wrapper.m4 $(top_srcdir)/cf/sunos.m4 \
 89	$(top_srcdir)/cf/telnet.m4 $(top_srcdir)/cf/test-package.m4 \
 90	$(top_srcdir)/cf/version-script.m4 $(top_srcdir)/cf/wflags.m4 \
 91	$(top_srcdir)/cf/win32.m4 $(top_srcdir)/cf/with-all.m4 \
 92	$(top_srcdir)/acinclude.m4 $(top_srcdir)/configure.ac
 93am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
 94	$(ACLOCAL_M4)
 95mkinstalldirs = $(install_sh) -d
 96CONFIG_HEADER = $(top_builddir)/include/config.h
 97CONFIG_CLEAN_FILES =
 98CONFIG_CLEAN_VPATH_FILES =
 99am__installdirs = "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"
100PROGRAMS = $(bin_PROGRAMS)
101am_su_OBJECTS = su.$(OBJEXT)
102su_OBJECTS = $(am_su_OBJECTS)
103su_LDADD = $(LDADD)
104am__DEPENDENCIES_1 =
105am__DEPENDENCIES_2 = $(top_builddir)/lib/kafs/libkafs.la \
106	$(am__DEPENDENCIES_1)
107su_DEPENDENCIES = $(am__DEPENDENCIES_2) \
108	$(top_builddir)/lib/krb5/libkrb5.la $(am__DEPENDENCIES_1) \
109	$(top_builddir)/lib/asn1/libasn1.la $(am__DEPENDENCIES_1)
110depcomp = $(SHELL) $(top_srcdir)/depcomp
111am__depfiles_maybe = depfiles
112am__mv = mv -f
113COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
114	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
115LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
116	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
117	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
118CCLD = $(CC)
119LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
120	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
121	$(LDFLAGS) -o $@
122SOURCES = $(su_SOURCES)
123DIST_SOURCES = $(su_SOURCES)
124am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
125am__vpath_adj = case $$p in \
126    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
127    *) f=$$p;; \
128  esac;
129am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
130am__install_max = 40
131am__nobase_strip_setup = \
132  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
133am__nobase_strip = \
134  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
135am__nobase_list = $(am__nobase_strip_setup); \
136  for p in $$list; do echo "$$p $$p"; done | \
137  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
138  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
139    if (++n[$$2] == $(am__install_max)) \
140      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
141    END { for (dir in files) print dir, files[dir] }'
142am__base_list = \
143  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
144  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
145man1dir = $(mandir)/man1
146MANS = $(man_MANS)
147ETAGS = etags
148CTAGS = ctags
149DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
150ACLOCAL = @ACLOCAL@
151AIX_EXTRA_KAFS = @AIX_EXTRA_KAFS@
152AMTAR = @AMTAR@
153AR = @AR@
154ASN1_COMPILE = @ASN1_COMPILE@
155ASN1_COMPILE_DEP = @ASN1_COMPILE_DEP@
156AUTOCONF = @AUTOCONF@
157AUTOHEADER = @AUTOHEADER@
158AUTOMAKE = @AUTOMAKE@
159AWK = @AWK@
160CANONICAL_HOST = @CANONICAL_HOST@
161CAPNG_CFLAGS = @CAPNG_CFLAGS@
162CAPNG_LIBS = @CAPNG_LIBS@
163CATMAN = @CATMAN@
164CATMANEXT = @CATMANEXT@
165CC = @CC@
166CCDEPMODE = @CCDEPMODE@
167CFLAGS = @CFLAGS@
168COMPILE_ET = @COMPILE_ET@
169CPP = @CPP@
170CPPFLAGS = @CPPFLAGS@
171CYGPATH_W = @CYGPATH_W@
172DBHEADER = @DBHEADER@
173DBLIB = @DBLIB@
174DEFS = @DEFS@
175DEPDIR = @DEPDIR@
176DIR_com_err = @DIR_com_err@
177DIR_hcrypto = @DIR_hcrypto@
178DIR_hdbdir = @DIR_hdbdir@
179DIR_roken = @DIR_roken@
180DLLTOOL = @DLLTOOL@
181DSYMUTIL = @DSYMUTIL@
182DUMPBIN = @DUMPBIN@
183ECHO_C = @ECHO_C@
184ECHO_N = @ECHO_N@
185ECHO_T = @ECHO_T@
186EGREP = @EGREP@
187EXEEXT = @EXEEXT@
188FGREP = @FGREP@
189GREP = @GREP@
190GROFF = @GROFF@
191INCLUDES_roken = @INCLUDES_roken@
192INCLUDE_hcrypto = @INCLUDE_hcrypto@
193INCLUDE_hesiod = @INCLUDE_hesiod@
194INCLUDE_krb4 = @INCLUDE_krb4@
195INCLUDE_libedit = @INCLUDE_libedit@
196INCLUDE_libintl = @INCLUDE_libintl@
197INCLUDE_openldap = @INCLUDE_openldap@
198INCLUDE_readline = @INCLUDE_readline@
199INCLUDE_sqlite3 = @INCLUDE_sqlite3@
200INSTALL = @INSTALL@
201INSTALL_DATA = @INSTALL_DATA@
202INSTALL_PROGRAM = @INSTALL_PROGRAM@
203INSTALL_SCRIPT = @INSTALL_SCRIPT@
204INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
205LD = @LD@
206LDFLAGS = @LDFLAGS@
207LDFLAGS_VERSION_SCRIPT = @LDFLAGS_VERSION_SCRIPT@
208LEX = @LEX@
209LEXLIB = @LEXLIB@
210LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
211LIBADD_roken = @LIBADD_roken@
212LIBOBJS = @LIBOBJS@
213LIBS = @LIBS@
214LIBTOOL = @LIBTOOL@
215LIB_AUTH_SUBDIRS = @LIB_AUTH_SUBDIRS@
216LIB_NDBM = @LIB_NDBM@
217LIB_XauFileName = @LIB_XauFileName@
218LIB_XauReadAuth = @LIB_XauReadAuth@
219LIB_XauWriteAuth = @LIB_XauWriteAuth@
220LIB_bswap16 = @LIB_bswap16@
221LIB_bswap32 = @LIB_bswap32@
222LIB_com_err = @LIB_com_err@
223LIB_com_err_a = @LIB_com_err_a@
224LIB_com_err_so = @LIB_com_err_so@
225LIB_crypt = @LIB_crypt@
226LIB_db_create = @LIB_db_create@
227LIB_dbm_firstkey = @LIB_dbm_firstkey@
228LIB_dbopen = @LIB_dbopen@
229LIB_dispatch_async_f = @LIB_dispatch_async_f@
230LIB_dlopen = @LIB_dlopen@
231LIB_dn_expand = @LIB_dn_expand@
232LIB_dns_search = @LIB_dns_search@
233LIB_door_create = @LIB_door_create@
234LIB_freeaddrinfo = @LIB_freeaddrinfo@
235LIB_gai_strerror = @LIB_gai_strerror@
236LIB_getaddrinfo = @LIB_getaddrinfo@
237LIB_gethostbyname = @LIB_gethostbyname@
238LIB_gethostbyname2 = @LIB_gethostbyname2@
239LIB_getnameinfo = @LIB_getnameinfo@
240LIB_getpwnam_r = @LIB_getpwnam_r@
241LIB_getsockopt = @LIB_getsockopt@
242LIB_hcrypto = @LIB_hcrypto@
243LIB_hcrypto_a = @LIB_hcrypto_a@
244LIB_hcrypto_appl = @LIB_hcrypto_appl@
245LIB_hcrypto_so = @LIB_hcrypto_so@
246LIB_hesiod = @LIB_hesiod@
247LIB_hstrerror = @LIB_hstrerror@
248LIB_kdb = @LIB_kdb@
249LIB_krb4 = @LIB_krb4@
250LIB_libedit = @LIB_libedit@
251LIB_libintl = @LIB_libintl@
252LIB_loadquery = @LIB_loadquery@
253LIB_logout = @LIB_logout@
254LIB_logwtmp = @LIB_logwtmp@
255LIB_openldap = @LIB_openldap@
256LIB_openpty = @LIB_openpty@
257LIB_otp = @LIB_otp@
258LIB_pidfile = @LIB_pidfile@
259LIB_readline = @LIB_readline@
260LIB_res_ndestroy = @LIB_res_ndestroy@
261LIB_res_nsearch = @LIB_res_nsearch@
262LIB_res_search = @LIB_res_search@
263LIB_roken = @LIB_roken@
264LIB_security = @LIB_security@
265LIB_setsockopt = @LIB_setsockopt@
266LIB_socket = @LIB_socket@
267LIB_sqlite3 = @LIB_sqlite3@
268LIB_syslog = @LIB_syslog@
269LIB_tgetent = @LIB_tgetent@
270LIPO = @LIPO@
271LN_S = @LN_S@
272LTLIBOBJS = @LTLIBOBJS@
273MAINT = @MAINT@
274MAKEINFO = @MAKEINFO@
275MANIFEST_TOOL = @MANIFEST_TOOL@
276MKDIR_P = @MKDIR_P@
277NM = @NM@
278NMEDIT = @NMEDIT@
279NO_AFS = @NO_AFS@
280NROFF = @NROFF@
281OBJDUMP = @OBJDUMP@
282OBJEXT = @OBJEXT@
283OTOOL = @OTOOL@
284OTOOL64 = @OTOOL64@
285PACKAGE = @PACKAGE@
286PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
287PACKAGE_NAME = @PACKAGE_NAME@
288PACKAGE_STRING = @PACKAGE_STRING@
289PACKAGE_TARNAME = @PACKAGE_TARNAME@
290PACKAGE_URL = @PACKAGE_URL@
291PACKAGE_VERSION = @PACKAGE_VERSION@
292PATH_SEPARATOR = @PATH_SEPARATOR@
293PKG_CONFIG = @PKG_CONFIG@
294PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
295PTHREAD_LDADD = @PTHREAD_LDADD@
296PTHREAD_LIBADD = @PTHREAD_LIBADD@
297RANLIB = @RANLIB@
298SED = @SED@
299SET_MAKE = @SET_MAKE@
300SHELL = @SHELL@
301SLC = @SLC@
302SLC_DEP = @SLC_DEP@
303STRIP = @STRIP@
304VERSION = @VERSION@
305VERSIONING = @VERSIONING@
306WFLAGS = @WFLAGS@
307WFLAGS_NOIMPLICITINT = @WFLAGS_NOIMPLICITINT@
308WFLAGS_NOUNUSED = @WFLAGS_NOUNUSED@
309XMKMF = @XMKMF@
310X_CFLAGS = @X_CFLAGS@
311X_EXTRA_LIBS = @X_EXTRA_LIBS@
312X_LIBS = @X_LIBS@
313X_PRE_LIBS = @X_PRE_LIBS@
314YACC = @YACC@
315YFLAGS = @YFLAGS@
316abs_builddir = @abs_builddir@
317abs_srcdir = @abs_srcdir@
318abs_top_builddir = @abs_top_builddir@
319abs_top_srcdir = @abs_top_srcdir@
320ac_ct_AR = @ac_ct_AR@
321ac_ct_CC = @ac_ct_CC@
322ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
323am__include = @am__include@
324am__leading_dot = @am__leading_dot@
325am__quote = @am__quote@
326am__tar = @am__tar@
327am__untar = @am__untar@
328bindir = @bindir@
329build = @build@
330build_alias = @build_alias@
331build_cpu = @build_cpu@
332build_os = @build_os@
333build_vendor = @build_vendor@
334builddir = @builddir@
335datadir = @datadir@
336datarootdir = @datarootdir@
337docdir = @docdir@
338dpagaix_cflags = @dpagaix_cflags@
339dpagaix_ldadd = @dpagaix_ldadd@
340dpagaix_ldflags = @dpagaix_ldflags@
341dvidir = @dvidir@
342exec_prefix = @exec_prefix@
343host = @host@
344host_alias = @host_alias@
345host_cpu = @host_cpu@
346host_os = @host_os@
347host_vendor = @host_vendor@
348htmldir = @htmldir@
349includedir = @includedir@
350infodir = @infodir@
351install_sh = @install_sh@
352libdir = @libdir@
353libexecdir = @libexecdir@
354localedir = @localedir@
355localstatedir = @localstatedir@
356mandir = @mandir@
357mkdir_p = @mkdir_p@
358oldincludedir = @oldincludedir@
359pdfdir = @pdfdir@
360prefix = @prefix@
361program_transform_name = @program_transform_name@
362psdir = @psdir@
363sbindir = @sbindir@
364sharedstatedir = @sharedstatedir@
365srcdir = @srcdir@
366subdirs = @subdirs@
367sysconfdir = @sysconfdir@
368target_alias = @target_alias@
369top_build_prefix = @top_build_prefix@
370top_builddir = @top_builddir@
371top_srcdir = @top_srcdir@
372SUFFIXES = .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8
373DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)/include -I$(top_srcdir)/include
374AM_CPPFLAGS = $(INCLUDES_roken) $(INCLUDE_krb4) $(INCLUDE_hcrypto)
375@do_roken_rename_TRUE@ROKEN_RENAME = -DROKEN_RENAME
376AM_CFLAGS = $(WFLAGS)
377CP = cp
378buildinclude = $(top_builddir)/include
379LIB_el_init = @LIB_el_init@
380LIB_getattr = @LIB_getattr@
381LIB_getpwent_r = @LIB_getpwent_r@
382LIB_odm_initialize = @LIB_odm_initialize@
383LIB_setpcred = @LIB_setpcred@
384HESIODLIB = @HESIODLIB@
385HESIODINCLUDE = @HESIODINCLUDE@
386libexec_heimdaldir = $(libexecdir)/heimdal
387NROFF_MAN = groff -mandoc -Tascii
388LIB_kafs = $(top_builddir)/lib/kafs/libkafs.la $(AIX_EXTRA_KAFS)
389@KRB5_TRUE@LIB_krb5 = $(top_builddir)/lib/krb5/libkrb5.la \
390@KRB5_TRUE@	$(top_builddir)/lib/asn1/libasn1.la
391
392@KRB5_TRUE@LIB_gssapi = $(top_builddir)/lib/gssapi/libgssapi.la
393LIB_heimbase = $(top_builddir)/base/libheimbase.la
394@DCE_TRUE@LIB_kdfs = $(top_builddir)/lib/kdfs/libkdfs.la
395bin_SUIDS = su
396su_SOURCES = su.c supaths.h
397man_MANS = su.1
398LDADD = $(LIB_kafs) \
399	$(top_builddir)/lib/krb5/libkrb5.la \
400	$(LIB_hcrypto) \
401	$(top_builddir)/lib/asn1/libasn1.la \
402	$(LIB_roken)
403
404EXTRA_DIST = NTMakefile $(man_MANS)
405all: all-am
406
407.SUFFIXES:
408.SUFFIXES: .et .h .x .z .hx .1 .3 .5 .8 .cat1 .cat3 .cat5 .cat8 .c .lo .o .obj
409$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.am.common $(top_srcdir)/cf/Makefile.am.common $(am__configure_deps)
410	@for dep in $?; do \
411	  case '$(am__configure_deps)' in \
412	    *$$dep*) \
413	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
414	        && { if test -f $@; then exit 0; else break; fi; }; \
415	      exit 1;; \
416	  esac; \
417	done; \
418	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign appl/su/Makefile'; \
419	$(am__cd) $(top_srcdir) && \
420	  $(AUTOMAKE) --foreign appl/su/Makefile
421.PRECIOUS: Makefile
422Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
423	@case '$?' in \
424	  *config.status*) \
425	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
426	  *) \
427	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
428	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
429	esac;
430
431$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
432	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
433
434$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
435	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
436$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
437	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
438$(am__aclocal_m4_deps):
439install-binPROGRAMS: $(bin_PROGRAMS)
440	@$(NORMAL_INSTALL)
441	test -z "$(bindir)" || $(MKDIR_P) "$(DESTDIR)$(bindir)"
442	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
443	for p in $$list; do echo "$$p $$p"; done | \
444	sed 's/$(EXEEXT)$$//' | \
445	while read p p1; do if test -f $$p || test -f $$p1; \
446	  then echo "$$p"; echo "$$p"; else :; fi; \
447	done | \
448	sed -e 'p;s,.*/,,;n;h' -e 's|.*|.|' \
449	    -e 'p;x;s,.*/,,;s/$(EXEEXT)$$//;$(transform);s/$$/$(EXEEXT)/' | \
450	sed 'N;N;N;s,\n, ,g' | \
451	$(AWK) 'BEGIN { files["."] = ""; dirs["."] = 1 } \
452	  { d=$$3; if (dirs[d] != 1) { print "d", d; dirs[d] = 1 } \
453	    if ($$2 == $$4) files[d] = files[d] " " $$1; \
454	    else { print "f", $$3 "/" $$4, $$1; } } \
455	  END { for (d in files) print "f", d, files[d] }' | \
456	while read type dir files; do \
457	    if test "$$dir" = .; then dir=; else dir=/$$dir; fi; \
458	    test -z "$$files" || { \
459	    echo " $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files '$(DESTDIR)$(bindir)$$dir'"; \
460	    $(INSTALL_PROGRAM_ENV) $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL_PROGRAM) $$files "$(DESTDIR)$(bindir)$$dir" || exit $$?; \
461	    } \
462	; done
463
464uninstall-binPROGRAMS:
465	@$(NORMAL_UNINSTALL)
466	@list='$(bin_PROGRAMS)'; test -n "$(bindir)" || list=; \
467	files=`for p in $$list; do echo "$$p"; done | \
468	  sed -e 'h;s,^.*/,,;s/$(EXEEXT)$$//;$(transform)' \
469	      -e 's/$$/$(EXEEXT)/' `; \
470	test -n "$$list" || exit 0; \
471	echo " ( cd '$(DESTDIR)$(bindir)' && rm -f" $$files ")"; \
472	cd "$(DESTDIR)$(bindir)" && rm -f $$files
473
474clean-binPROGRAMS:
475	@list='$(bin_PROGRAMS)'; test -n "$$list" || exit 0; \
476	echo " rm -f" $$list; \
477	rm -f $$list || exit $$?; \
478	test -n "$(EXEEXT)" || exit 0; \
479	list=`for p in $$list; do echo "$$p"; done | sed 's/$(EXEEXT)$$//'`; \
480	echo " rm -f" $$list; \
481	rm -f $$list
482su$(EXEEXT): $(su_OBJECTS) $(su_DEPENDENCIES) 
483	@rm -f su$(EXEEXT)
484	$(LINK) $(su_OBJECTS) $(su_LDADD) $(LIBS)
485
486mostlyclean-compile:
487	-rm -f *.$(OBJEXT)
488
489distclean-compile:
490	-rm -f *.tab.c
491
492@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/su.Po@am__quote@
493
494.c.o:
495@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
496@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
497@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
498@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
499@am__fastdepCC_FALSE@	$(COMPILE) -c $<
500
501.c.obj:
502@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
503@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
504@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
505@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
506@am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
507
508.c.lo:
509@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
510@am__fastdepCC_TRUE@	$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
511@AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
512@AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
513@am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
514
515mostlyclean-libtool:
516	-rm -f *.lo
517
518clean-libtool:
519	-rm -rf .libs _libs
520install-man1: $(man_MANS)
521	@$(NORMAL_INSTALL)
522	test -z "$(man1dir)" || $(MKDIR_P) "$(DESTDIR)$(man1dir)"
523	@list=''; test -n "$(man1dir)" || exit 0; \
524	{ for i in $$list; do echo "$$i"; done; \
525	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
526	  sed -n '/\.1[a-z]*$$/p'; \
527	} | while read p; do \
528	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
529	  echo "$$d$$p"; echo "$$p"; \
530	done | \
531	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
532	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
533	sed 'N;N;s,\n, ,g' | { \
534	list=; while read file base inst; do \
535	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
536	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
537	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
538	  fi; \
539	done; \
540	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
541	while read files; do \
542	  test -z "$$files" || { \
543	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
544	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
545	done; }
546
547uninstall-man1:
548	@$(NORMAL_UNINSTALL)
549	@list=''; test -n "$(man1dir)" || exit 0; \
550	files=`{ for i in $$list; do echo "$$i"; done; \
551	l2='$(man_MANS)'; for i in $$l2; do echo "$$i"; done | \
552	  sed -n '/\.1[a-z]*$$/p'; \
553	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
554	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
555	test -z "$$files" || { \
556	  echo " ( cd '$(DESTDIR)$(man1dir)' && rm -f" $$files ")"; \
557	  cd "$(DESTDIR)$(man1dir)" && rm -f $$files; }
558
559ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
560	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
561	unique=`for i in $$list; do \
562	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
563	  done | \
564	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
565	      END { if (nonempty) { for (i in files) print i; }; }'`; \
566	mkid -fID $$unique
567tags: TAGS
568
569TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
570		$(TAGS_FILES) $(LISP)
571	set x; \
572	here=`pwd`; \
573	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
574	unique=`for i in $$list; do \
575	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
576	  done | \
577	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
578	      END { if (nonempty) { for (i in files) print i; }; }'`; \
579	shift; \
580	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
581	  test -n "$$unique" || unique=$$empty_fix; \
582	  if test $$# -gt 0; then \
583	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
584	      "$$@" $$unique; \
585	  else \
586	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
587	      $$unique; \
588	  fi; \
589	fi
590ctags: CTAGS
591CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
592		$(TAGS_FILES) $(LISP)
593	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
594	unique=`for i in $$list; do \
595	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
596	  done | \
597	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
598	      END { if (nonempty) { for (i in files) print i; }; }'`; \
599	test -z "$(CTAGS_ARGS)$$unique" \
600	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
601	     $$unique
602
603GTAGS:
604	here=`$(am__cd) $(top_builddir) && pwd` \
605	  && $(am__cd) $(top_srcdir) \
606	  && gtags -i $(GTAGS_ARGS) "$$here"
607
608distclean-tags:
609	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
610
611distdir: $(DISTFILES)
612	@list='$(MANS)'; if test -n "$$list"; then \
613	  list=`for p in $$list; do \
614	    if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
615	    if test -f "$$d$$p"; then echo "$$d$$p"; else :; fi; done`; \
616	  if test -n "$$list" && \
617	    grep 'ab help2man is required to generate this page' $$list >/dev/null; then \
618	    echo "error: found man pages containing the \`missing help2man' replacement text:" >&2; \
619	    grep -l 'ab help2man is required to generate this page' $$list | sed 's/^/         /' >&2; \
620	    echo "       to fix them, install help2man, remove and regenerate the man pages;" >&2; \
621	    echo "       typically \`make maintainer-clean' will remove them" >&2; \
622	    exit 1; \
623	  else :; fi; \
624	else :; fi
625	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
626	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
627	list='$(DISTFILES)'; \
628	  dist_files=`for file in $$list; do echo $$file; done | \
629	  sed -e "s|^$$srcdirstrip/||;t" \
630	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
631	case $$dist_files in \
632	  */*) $(MKDIR_P) `echo "$$dist_files" | \
633			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
634			   sort -u` ;; \
635	esac; \
636	for file in $$dist_files; do \
637	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
638	  if test -d $$d/$$file; then \
639	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
640	    if test -d "$(distdir)/$$file"; then \
641	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
642	    fi; \
643	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
644	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
645	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
646	    fi; \
647	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
648	  else \
649	    test -f "$(distdir)/$$file" \
650	    || cp -p $$d/$$file "$(distdir)/$$file" \
651	    || exit 1; \
652	  fi; \
653	done
654	$(MAKE) $(AM_MAKEFLAGS) \
655	  top_distdir="$(top_distdir)" distdir="$(distdir)" \
656	  dist-hook
657check-am: all-am
658	$(MAKE) $(AM_MAKEFLAGS) check-local
659check: check-am
660all-am: Makefile $(PROGRAMS) $(MANS) all-local
661installdirs:
662	for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(man1dir)"; do \
663	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
664	done
665install: install-am
666install-exec: install-exec-am
667install-data: install-data-am
668uninstall: uninstall-am
669
670install-am: all-am
671	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
672
673installcheck: installcheck-am
674install-strip:
675	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
676	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
677	  `test -z '$(STRIP)' || \
678	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
679mostlyclean-generic:
680
681clean-generic:
682
683distclean-generic:
684	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
685	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
686
687maintainer-clean-generic:
688	@echo "This command is intended for maintainers to use"
689	@echo "it deletes files that may require special tools to rebuild."
690clean: clean-am
691
692clean-am: clean-binPROGRAMS clean-generic clean-libtool mostlyclean-am
693
694distclean: distclean-am
695	-rm -rf ./$(DEPDIR)
696	-rm -f Makefile
697distclean-am: clean-am distclean-compile distclean-generic \
698	distclean-tags
699
700dvi: dvi-am
701
702dvi-am:
703
704html: html-am
705
706html-am:
707
708info: info-am
709
710info-am:
711
712install-data-am: install-man
713	@$(NORMAL_INSTALL)
714	$(MAKE) $(AM_MAKEFLAGS) install-data-hook
715install-dvi: install-dvi-am
716
717install-dvi-am:
718
719install-exec-am: install-binPROGRAMS
720	@$(NORMAL_INSTALL)
721	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
722install-html: install-html-am
723
724install-html-am:
725
726install-info: install-info-am
727
728install-info-am:
729
730install-man: install-man1
731
732install-pdf: install-pdf-am
733
734install-pdf-am:
735
736install-ps: install-ps-am
737
738install-ps-am:
739
740installcheck-am:
741
742maintainer-clean: maintainer-clean-am
743	-rm -rf ./$(DEPDIR)
744	-rm -f Makefile
745maintainer-clean-am: distclean-am maintainer-clean-generic
746
747mostlyclean: mostlyclean-am
748
749mostlyclean-am: mostlyclean-compile mostlyclean-generic \
750	mostlyclean-libtool
751
752pdf: pdf-am
753
754pdf-am:
755
756ps: ps-am
757
758ps-am:
759
760uninstall-am: uninstall-binPROGRAMS uninstall-man
761	@$(NORMAL_INSTALL)
762	$(MAKE) $(AM_MAKEFLAGS) uninstall-hook
763uninstall-man: uninstall-man1
764
765.MAKE: check-am install-am install-data-am install-exec-am \
766	install-strip uninstall-am
767
768.PHONY: CTAGS GTAGS all all-am all-local check check-am check-local \
769	clean clean-binPROGRAMS clean-generic clean-libtool ctags \
770	dist-hook distclean distclean-compile distclean-generic \
771	distclean-libtool distclean-tags distdir dvi dvi-am html \
772	html-am info info-am install install-am install-binPROGRAMS \
773	install-data install-data-am install-data-hook install-dvi \
774	install-dvi-am install-exec install-exec-am install-exec-hook \
775	install-html install-html-am install-info install-info-am \
776	install-man install-man1 install-pdf install-pdf-am install-ps \
777	install-ps-am install-strip installcheck installcheck-am \
778	installdirs maintainer-clean maintainer-clean-generic \
779	mostlyclean mostlyclean-compile mostlyclean-generic \
780	mostlyclean-libtool pdf pdf-am ps ps-am tags uninstall \
781	uninstall-am uninstall-binPROGRAMS uninstall-hook \
782	uninstall-man uninstall-man1
783
784
785install-suid-programs:
786	@foo='$(bin_SUIDS)'; \
787	for file in $$foo; do \
788	x=$(DESTDIR)$(bindir)/$$file; \
789	if chown 0:0 $$x && chmod u+s $$x; then :; else \
790	echo "*"; \
791	echo "* Failed to install $$x setuid root"; \
792	echo "*"; \
793	fi; done
794
795install-exec-hook: install-suid-programs
796
797install-build-headers:: $(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ) $(nobase_include_HEADERS)
798	@foo='$(include_HEADERS) $(dist_include_HEADERS) $(nodist_include_HEADERS) $(build_HEADERZ)'; \
799	for f in $$foo; do \
800		f=`basename $$f`; \
801		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
802		else file="$$f"; fi; \
803		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
804		: ; else \
805			echo " $(CP) $$file $(buildinclude)/$$f"; \
806			$(CP) $$file $(buildinclude)/$$f; \
807		fi ; \
808	done ; \
809	foo='$(nobase_include_HEADERS)'; \
810	for f in $$foo; do \
811		if test -f "$(srcdir)/$$f"; then file="$(srcdir)/$$f"; \
812		else file="$$f"; fi; \
813		$(mkdir_p) $(buildinclude)/`dirname $$f` ; \
814		if cmp -s  $$file $(buildinclude)/$$f 2> /dev/null ; then \
815		: ; else \
816			echo " $(CP) $$file $(buildinclude)/$$f"; \
817			$(CP) $$file $(buildinclude)/$$f; \
818		fi ; \
819	done
820
821all-local: install-build-headers
822
823check-local::
824	@if test '$(CHECK_LOCAL)' = "no-check-local"; then \
825	  foo=''; elif test '$(CHECK_LOCAL)'; then \
826	  foo='$(CHECK_LOCAL)'; else \
827	  foo='$(PROGRAMS)'; fi; \
828	  if test "$$foo"; then \
829	  failed=0; all=0; \
830	  for i in $$foo; do \
831	    all=`expr $$all + 1`; \
832	    if (./$$i --version && ./$$i --help) > /dev/null 2>&1; then \
833	      echo "PASS: $$i"; \
834	    else \
835	      echo "FAIL: $$i"; \
836	      failed=`expr $$failed + 1`; \
837	    fi; \
838	  done; \
839	  if test "$$failed" -eq 0; then \
840	    banner="All $$all tests passed"; \
841	  else \
842	    banner="$$failed of $$all tests failed"; \
843	  fi; \
844	  dashes=`echo "$$banner" | sed s/./=/g`; \
845	  echo "$$dashes"; \
846	  echo "$$banner"; \
847	  echo "$$dashes"; \
848	  test "$$failed" -eq 0 || exit 1; \
849	fi
850
851.x.c:
852	@cmp -s $< $@ 2> /dev/null || cp $< $@
853
854.hx.h:
855	@cmp -s $< $@ 2> /dev/null || cp $< $@
856#NROFF_MAN = nroff -man
857.1.cat1:
858	$(NROFF_MAN) $< > $@
859.3.cat3:
860	$(NROFF_MAN) $< > $@
861.5.cat5:
862	$(NROFF_MAN) $< > $@
863.8.cat8:
864	$(NROFF_MAN) $< > $@
865
866dist-cat1-mans:
867	@foo='$(man1_MANS)'; \
868	bar='$(man_MANS)'; \
869	for i in $$bar; do \
870	case $$i in \
871	*.1) foo="$$foo $$i";; \
872	esac; done ;\
873	for i in $$foo; do \
874		x=`echo $$i | sed 's/\.[^.]*$$/.cat1/'`; \
875		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
876		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
877	done
878
879dist-cat3-mans:
880	@foo='$(man3_MANS)'; \
881	bar='$(man_MANS)'; \
882	for i in $$bar; do \
883	case $$i in \
884	*.3) foo="$$foo $$i";; \
885	esac; done ;\
886	for i in $$foo; do \
887		x=`echo $$i | sed 's/\.[^.]*$$/.cat3/'`; \
888		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
889		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
890	done
891
892dist-cat5-mans:
893	@foo='$(man5_MANS)'; \
894	bar='$(man_MANS)'; \
895	for i in $$bar; do \
896	case $$i in \
897	*.5) foo="$$foo $$i";; \
898	esac; done ;\
899	for i in $$foo; do \
900		x=`echo $$i | sed 's/\.[^.]*$$/.cat5/'`; \
901		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
902		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
903	done
904
905dist-cat8-mans:
906	@foo='$(man8_MANS)'; \
907	bar='$(man_MANS)'; \
908	for i in $$bar; do \
909	case $$i in \
910	*.8) foo="$$foo $$i";; \
911	esac; done ;\
912	for i in $$foo; do \
913		x=`echo $$i | sed 's/\.[^.]*$$/.cat8/'`; \
914		echo "$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x"; \
915		$(NROFF_MAN) $(srcdir)/$$i > $(distdir)/$$x; \
916	done
917
918dist-hook: dist-cat1-mans dist-cat3-mans dist-cat5-mans dist-cat8-mans
919
920install-cat-mans:
921	$(SHELL) $(top_srcdir)/cf/install-catman.sh install "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
922
923uninstall-cat-mans:
924	$(SHELL) $(top_srcdir)/cf/install-catman.sh uninstall "$(INSTALL_DATA)" "$(mkinstalldirs)" "$(srcdir)" "$(DESTDIR)$(mandir)" '$(CATMANEXT)' $(man_MANS) $(man1_MANS) $(man3_MANS) $(man5_MANS) $(man8_MANS)
925
926install-data-hook: install-cat-mans
927uninstall-hook: uninstall-cat-mans
928
929.et.h:
930	$(COMPILE_ET) $<
931.et.c:
932	$(COMPILE_ET) $<
933
934#
935# Useful target for debugging
936#
937
938check-valgrind:
939	tobjdir=`cd $(top_builddir) && pwd` ; \
940	tsrcdir=`cd $(top_srcdir) && pwd` ; \
941	env TESTS_ENVIRONMENT="$${tsrcdir}/cf/maybe-valgrind.sh -s $${tsrcdir} -o $${tobjdir}" make check
942
943#
944# Target to please samba build farm, builds distfiles in-tree.
945# Will break when automake changes...
946#
947
948distdir-in-tree: $(DISTFILES) $(INFO_DEPS)
949	list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
950	  if test "$$subdir" != .; then \
951	  (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) distdir-in-tree) ; \
952	  fi ; \
953	done
954
955# Tell versions [3.59,3.63) of GNU make to not export all variables.
956# Otherwise a system limit (for SysV at least) may be exceeded.
957.NOEXPORT: